import D3Chart from '../D3Chart';
import { MultiInlineChartOpts } from './BarOptions';
export default class extends D3Chart<MultiInlineChartOpts> {
    __ClassName: string;
    __Grid: {
        left: number;
        right: number;
        top: number;
        bottom: number;
    };
    labelWidth: number;
    itemHeight: number;
    paddingTop: number;
    widthScale: any;
    init(): void;
    sort(): void;
    update(): void;
}
